Cytosim PI Cytoskeleton Simulator

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
Display3 Class Reference

## Detailed Description

This style is for rendering in 3D. It uses Lighting for better volume rendering

Inheritance diagram for Display3:

## Public Member Functions
| Display3 (DisplayProp const *)
| constructor
| ~Display3 ()
| destructor
void | display (Simul const &)
| display the given simulation state using OpenGL commands
void | displayBSpace (Space const &)
| display back of Space More...
void | displayFSpace (Space const &)
| display front of Space More...
void | displayFiberMinusEnd (Fiber const &)
| display a Fiber
void | displayFiberPlusEnd (Fiber const &)
| display a Fiber
void | displayFiber (Fiber const &)
| display a Fiber
void | displayFiberPoints (Fiber const &)
| display the Fiber points
virtual void | displayFibersPoints (FiberSet const &)
| display Fibers
void | displaySolid (Solid const &)
| display the Solids
void | displayTSolid (Solid const &, unsigned int)
| display the transparent parts of Solid More...
void | displayBead (Bead const &)
| display a Bead
void | displayTBead (Bead const &)
| display transparent membrane of Bead More...
void | displaySphere (Sphere const &)
| display a Sphere
void | displayTSphere (Sphere const &)
| display transparent membrane of Sphere
void | displayOrganizer (Organizer const &)
| display the Nucleus
void | displayPointsOnNucleus (Simul const &)
| display points on the Nucleus
void | displayFCouples (CoupleSet const &)
| display free Couple
void | displayACouples (CoupleSet const &)
| display attahed Couple
void | displayBCouples (CoupleSet const &)
| display bridging Couple
void | displayFSingles (SingleSet const &)
| display the free Single
void | displayASingles (SingleSet const &)
| display the attached Single
Public Member Functions inherited from Display
| Display (DisplayProp const *)
| constructor
virtual | ~Display ()
| destructor
void | setPixelFactors (real pixel_size, real u_factor)
| set current pixel-size and point-size factor
virtual void | prepareForDisplay (Simul const &, PropertyList &)
| prepare to display More...
void | displayTiled (Simul const &, int nine)
| display for periodic systems
gle_color | bodyColor (PointDisp const *, Number) const
| find a color for a large spherical objects More...
virtual void | displayFields (FieldSet const &)
| display a scalar field More...
virtual void | displayMinusEnd (int style, Fiber const &, real width) const
| display MINUS_END of a Fiber More...
virtual void | displayPlusEnd (int style, Fiber const &, real width) const
| display PLUS_END of a Fiber More...
virtual void | displayFibers (FiberSet const &)
| display Fibers
virtual void | displayBeads (BeadSet const &)
| display the Beads
virtual void | displaySolids (SolidSet const &)
| display the Solids
virtual void | displaySpheres (SphereSet const &)
| display the Spheres
virtual void | displayBSpaces (SpaceSet const &)
| display the Spaces
virtual void | displayFSpaces (SpaceSet const &)
| display the front of Spaces More...
virtual void | displayTransparentObjects (Simul const &)
| display translucent object after depth-sorting More...
virtual void | displayOrganizers (OrganizerSet const &)
| display the Nucleus
virtual void | displayAverageFiber (FiberSet const &, bool(*func)(Fiber const *, void *), void *)
| display the average fiber for the pool defined by func(obj, val) == true
virtual void | displayAverageFiber1 (FiberSet const &, void *)
| display the averaged fiber
virtual void | displayAverageFiber2 (FiberSet const &, void *)
| display the average for left-pointing and right-pointing fibers
virtual void | displayMisc (Simul const &)
| display additional items

## Additional Inherited Members
Protected Attributes inherited from Display
DisplayProp const * | prop
| associated parameters
real | mPixelSize
| the pixel size for this particular display
real | uFactor
| scaling factors for glPointSize() and glLineWidth()
real | sFactor
| scaling factors for real units

## Member Function Documentation

void displayBSpace | ( | Space const & | obj | ) |
| virtual

Display the back side of the Space

Reimplemented from Display.

void displayFSpace | ( | Space const & | obj | ) |
| virtual

Display the front side of the Space using a display list to draw the space

Reimplemented from Display.

void displayTBead | ( | Bead const & | obj | ) |
| virtual

Display a semi-transparent sphere if ( disp->style & 2 )

Implements Display.

void displayTSolid | ( | Solid const & | obj,
|  | unsigned int | ii
| ) |  |
| virtual

Display a semi-transparent disc / sphere if ( disp->style & 2 )

Implements Display.